transformers-0.3.0.0: Concrete functor and monad transformers

Portability | portable
Stability | experimental
Maintainer | ross@soi.city.ac.uk
Safe Haskell | Safe-Inferred

Data.Functor.Constant

Description

The constant functor.

Synopsis

- newtype Constant a b = Constant {
  - getConstant :: a
  }

# Documentation

newtype Constant a b Source

Constant functor.

Constructors

Constant |
Fields getConstant :: a

Instances

Functor (Constant a) |
Monoid a => Applicative (Constant a) |
Foldable (Constant a) |
Traversable (Constant a) |